Loading...
Searching...
No Matches
_PurpleGroup Struct Reference

A group. More...

`#include <blist.h>`

## Data Fields

PurpleBlistNode | node
| The node that this group inherits from.
char * | name
| The name of this group.
int | totalsize
| The number of chats and contacts in this group.
int | currentsize
| The number of chats and contacts in this group corresponding to online accounts.
int | online
| The number of chats and contacts in this group who are currently online.

## Detailed Description

A group.

This contains everything Purple will ever need to know about a group.

Definition at line 169 of file blist.h.

## Field Documentation

## currentsize

int _PurpleGroup::currentsize

The number of chats and contacts in this group corresponding to online accounts.

Definition at line 173 of file blist.h.

## name

char* _PurpleGroup::name

The name of this group.

Definition at line 171 of file blist.h.

## node

PurpleBlistNode _PurpleGroup::node

The node that this group inherits from.

Definition at line 170 of file blist.h.

## online

int _PurpleGroup::online

The number of chats and contacts in this group who are currently online.

Definition at line 174 of file blist.h.

## totalsize

int _PurpleGroup::totalsize

The number of chats and contacts in this group.

Definition at line 172 of file blist.h.

The documentation for this struct was generated from the following file:

- blist.h